From e8995b5671aff2a902a8d6592d5fe9667bfcf9e7 Mon Sep 17 00:00:00 2001
From: Dario Lombardo <lomato@gmail.com>
Date: Mon, 7 Jan 2013 11:52:50 +0100
Subject: [PATCH] Typos fixes.

---
 src/host/layer23/include/osmocom/bb/common/l1ctl.h |    2 +-
 src/host/layer23/include/osmocom/bb/mobile/mncc.h  |    2 +-
 src/host/layer23/src/mobile/subscriber.c           |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/host/layer23/include/osmocom/bb/common/l1ctl.h b/src/host/layer23/include/osmocom/bb/common/l1ctl.h
index 46a333e..3534589 100644
--- a/src/host/layer23/include/osmocom/bb/common/l1ctl.h
+++ b/src/host/layer23/include/osmocom/bb/common/l1ctl.h
@@ -59,7 +59,7 @@ int l1ctl_tx_reset_req(struct osmocom_ms *ms, uint8_t type);
 
 /* Transmit L1CTL_PM_REQ */
 int l1ctl_tx_pm_req_range(struct osmocom_ms *ms, uint16_t arfcn_from,
-			  uint16_t arfcm_to);
+			  uint16_t arfcn_to);
 
 int l1ctl_tx_sim_req(struct osmocom_ms *ms, uint8_t *data, uint16_t length);
 
diff --git a/src/host/layer23/src/mobile/subscriber.c b/src/host/layer23/src/mobile/subscriber.c
index cefc855..b68ae12 100644
--- a/src/host/layer23/src/mobile/subscriber.c
+++ b/src/host/layer23/src/mobile/subscriber.c
@@ -1199,7 +1199,7 @@ void gsm_subscr_dump(struct gsm_subscriber *subscr,
 	print(priv, " Status: %s  IMSI %s", subscr_ustate_names[subscr->ustate],
 		(subscr->imsi_attached) ? "attached" : "detached");
 	if (subscr->tmsi != 0xffffffff)
-		print(priv, "  TSMI 0x%08x", subscr->tmsi);
+		print(priv, "  TMSI 0x%08x", subscr->tmsi);
 	if (subscr->lac > 0x0000 && subscr->lac < 0xfffe) {
 		print(priv, "\n");
 		print(priv, "         LAI: MCC %s  MNC %s  LAC 0x%04x  "
-- 
1.7.9.5

